<?php
namespace Fifa\ConnectId\Sdk\Exception;

use Fifa\ConnectId\Sdk\Api\ApiException;

/**
 * Class PersonDetailsNotReceivedException
 * @package Fifa\ConnectId\Sdk\Exception
 */
class PersonDetailsNotReceivedException extends FifaConnectIdException
{
    /**
     * @var string
     */
    private $personFifaId;

    /**
     * @var string
     */
    private $organisationId;

    /**
     * PersonDetailsNotReceivedException constructor.
     * @param string $personFifaId
     * @param string $organisationId
     */
    public function __construct($personFifaId, $organisationId)
    {
        parent::__construct(new ApiException(sprintf('Member Association `%s` didn\'t return details for person `%s`.', $organisationId, $personFifaId)));
        $this->personFifaId = $personFifaId;
        $this->organisationId = $organisationId;
    }

    /**
     * @return string
     */
    public function getPersonFifaId(): string
    {
        return $this->personFifaId;
    }

    /**
     * @return string
     */
    public function getOrganisationId(): string
    {
        return $this->organisationId;
    }
}